extends Rule

static func ready(piece: Piece):
	pass
	
static func select(piece: Piece, game: Game):
	piece.possible_movements = [
		Vector2i(-1,2),
		Vector2i(1,2),
		Vector2i(-1,-2),
		Vector2i(1,-2),
		Vector2i(-2,1),
		Vector2i(2,1),
		Vector2i(-2,-1),
		Vector2i(2,-1),
	]
	pass

static func before_move(piece: Piece):
	pass
